package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 任务类型枚举
 */
@Getter
@AllArgsConstructor
public enum CheckTaskTypeEnum {
    SPECIAL_TASK("SPECIAL_TASK", "专项任务"),
    DAILY_TASK("DAILY_TASK", "日常任务");

    private final String code;
    private final String desc;

    public static CheckTaskTypeEnum getByCode(String code) {
        for (CheckTaskTypeEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
